link: search/products/%22Majou%20Densetsu%20II%3A%20Daima%20Shikyou%20Galious%22
meta: {}
query: '"Majou Densetsu II: Daima Shikyou Galious"'
results:
  albums: []
  artists: []
  orgs: []
  products: []
sections:
- albums
- artists
- orgs
- products
vgmdb_link: https://vgmdb.net/search?q=%22Majou%20Densetsu%20II%3A%20Daima%20Shikyou%20Galious%22
